> ## Documentation Index
> Fetch the complete documentation index at: https://developers.paychoice.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# List charges

Retrieves a paginated list of charges, optionally filtered by date range or by your `reference`. Each element is the same `charge` object as [Retrieve a charge](https://developers.paychoice.com.au/api-reference/charges/retrieve-a-charge.md). `from_item` / `to_item` are the positions of the first and last item on the page; `total_count` is the number of charges matching the filter.

See [Reconciliation](https://developers.paychoice.com.au/getting-the-result/reconciliation.md) for how to use the `reference` filter.

```json 200 theme={null}
{
  "charge_list": [
    {
      "id": "f33a990c-237c-4e88-9bd1-eb2d655bb88c",
      "reference": "INV-4325454",
      "amount": "10.00",
      "currency": "AUD",
      "status": "Approved",
      "status_code": 0,
      "error": null,
      "error_code": "00",
      "created": "2026-11-04T02:15:31.118Z",
      "fee_applied": "No",
      "fee_amount": 0,
      "original_amount": 0,
      "meta_data_reference": null,
      "link": { "href": "/api/v5/charge/f33a990c-237c-4e88-9bd1-eb2d655bb88c", "rel": "self" }
    }
  ],
  "object_type": "charge_list",
  "from_item": 1,
  "to_item": 1,
  "total_count": 1
}
```


## OpenAPI

````yaml GET /api/v5/Charge
openapi: 3.0.1
info:
  title: Paychoice
  version: v5
servers: []
security:
  - basic: []
paths:
  /api/v5/Charge:
    get:
      tags:
        - Charge
      parameters:
        - name: merchant_guid
          in: query
          schema:
            type: string
        - name: page[number]
          in: query
          schema:
            type: integer
            format: int32
        - name: page[items]
          in: query
          schema:
            type: integer
            format: int32
        - name: date[from]
          in: query
          schema:
            type: string
            format: date-time
        - name: date[to]
          in: query
          schema:
            type: string
            format: date-time
        - name: reference
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    basic:
      type: http
      description: Basic Authorization header using the Bearer scheme.
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.